Subject: bug#23709: 24.5; inhibit-eol-conversion breaks archive-7z-summarize

From: "Peromsik, Aaron" <[email-masked]>
Date: Thu, 6 Apr 2017 21:58:01 +0000

>  Emacs on Windows doesn't save files with Windows

> line endings, unless they had Windows line endings before you visited

> them, and in the latter case setting inhibit-eol-conversion will not

> help you in any way.

Not quite true. It does help me in that I can see the Windows line endings and manually remove them.

> But my impression was
> that we will now have to bind it almost everywhere, in which case
> making it not an option is a better way, IMO.

As I said, I have been happily using this option for years. archive-7z-summarize was the first thing I noticed not working because of it-- if you don't count failure to remove ^M's on paste, which I am used to by now. Since I filed this bug report I have been happily continuing along my way with a let binding in advice for archive-7z-summarize. So I suspect your fears might be overblown.